Loading...
Searching...
No Matches
PowerSeries.h File Reference
`#include "kernel/mod2.h"`
`#include "Poly.h"`

Go to the source code of this file.

## Data Structures

class | PowerSeriesInputIterator< traits >
class | PowerSeriesBase< traits >
class | PowerSeriesPolyTraits
class | PowerSeriesVectorTraits

## Typedefs

typedef PowerSeriesBase< PowerSeriesPolyTraits > | PowerSeries
typedef PowerSeriesBase< PowerSeriesVectorTraits > | VectorPowerSeries

## Data Structure Documentation

## PowerSeriesPolyTraits

class PowerSeriesPolyTraits

Definition at line 158 of file PowerSeries.h.

Data Fields
typedef PowerSeries | create_type |
typedef Poly | denominator_type |
typedef Poly | expansion_type |
typedef Poly | numerator_type |

## PowerSeriesVectorTraits

class PowerSeriesVectorTraits

Definition at line 166 of file PowerSeries.h.

Data Fields
typedef VectorPowerSeries | create_type |
typedef Poly | denominator_type |
typedef Vector | expansion_type |
typedef Vector | numerator_type |

## Typedef Documentation

## PowerSeries

typedef PowerSeriesBase<PowerSeriesPolyTraits> PowerSeries

Definition at line 156 of file PowerSeries.h.

## VectorPowerSeries

typedef PowerSeriesBase<PowerSeriesVectorTraits> VectorPowerSeries

Definition at line 157 of file PowerSeries.h.